Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.mapping
Interface MappingResult

All Known Implementing Classes:
  AbstractMappingResult, RequiredError, SourceAccessError, Success, TargetAccessError, TypeConversionError

    public interface MappingResult

A single data mapping result. Each result has a unique `code`, and provides context about the result of a single data mapping operation.

Author:
  Keith Donald

Method Summary
`java.lang.String` | `getCode()` The mapping result code; for example, "success" , "typeMismatch", "propertyNotFound", or "evaluationException".
`java.lang.Throwable` | `getErrorCause()` Get the cause of the error result
`java.lang.Object` | `getMappedValue()` The actual value that was mapped to the target object.
`Mapping` | `getMapping()` The mapping that executed for which this result pertains to.
`java.lang.Object` | `getOriginalValue()` The original value of the source object that was to be mapped.
`boolean` | `isError()` Indicates if this result is an error result.

Method Detail

### getMapping

    Mapping getMapping()

  The mapping that executed for which this result pertains to.

### getCode

    java.lang.String getCode()

  The mapping result code; for example, "success" , "typeMismatch", "propertyNotFound", or "evaluationException".

### isError

    boolean isError()

  Indicates if this result is an error result.

### getErrorCause

    java.lang.Throwable getErrorCause()

  Get the cause of the error result

  Returns:
    the underyling cause, or null if this is not an error or there was no root cause.

### getOriginalValue

    java.lang.Object getOriginalValue()

  The original value of the source object that was to be mapped. May be null if this result is an error on the source object.

### getMappedValue

    java.lang.Object getMappedValue()

  The actual value that was mapped to the target object. Null if this result is an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD